Returns information about a subaccount
/subaccounts/{id}Authorization
string
header
requiredBearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.
id
string
requiredID of subaccount to return / modify
Subaccount Details
Show response attributes
id
string
Identifier that can be used to retrieve the subaccount details
created_on
string
Timestamp of when the subaccount was created (in UTC)
name
string
Name of the subaccount
string | null
Optional email associated with the subaccount.
default_portfolio_id
string | null
Optional ID of the default portfolio used to fulfilling orders placed for this subaccount. If not specified, the parent account's default portfolio is the default portfolio for the subaccount.
logo_url
string | null
Optional URL for the logo used for this subaccount, if any. This URL is for the logo as stored on CNaught's hosting.
Get Subaccount By Id
curl --request GET \
--url https://api.cnaught.com/v1/subaccounts/<id> \
--header 'Authorization: Bearer <token>'{
"id": "5nubL0NS",
"name": "Marketing Department",
"email": "jane.doe@example.com",
"default_portfolio_id": "mHvNvWbq",
"logo_url": "https://customer-assets.cnaught.com/fe0df075-30e2-4e58-9feb-154e72a9205f/subaccount_logo.png"
}